Les développeurs derrière la bibliothèque populaire JavaScript jQuery ont récemment publié une entrée de blog avec des détails sur la feuille de route du développement du projet. Dans la note, ils ont annoncé des plans pour laisser tomber le support pour les anciennes versions du navigateur de Microsoft Internet Explorer dans Web jQuery 2.0

La mise à jour 2.0 est prévu pour être libérer l'an prochain. Les développeurs Web n'ont pas à s'inquiéter, parce que l'équipe de jQuery a un plan pour faire en sorte que les anciennes versions de IE sont toujours pris en charge. Un version 1.9 lissera le soutien a l’héritage IE intacte.

La bibliothèque jQuery est extrêmement populaire parmi les développeurs Web et est utilisé sur certains des plus grands sites sur Internet. Il fournit un certain nombre de méthodes pratiques et des fonctions utilitaires qui simplifient considérablement la manipulation du DOM et d'autres tâches qui sont communes dans les applications Web modernes.

Il ya un grand nombre de plug-ins tiers et d'autres cadres qui sont construits au-dessus des fonctionnalités de base de jQuery, y compris une bibliothèque d'interface utilisateur HTML et un cadre de développement du Web mobile. La bibliothèque jQuery est une double licence, disponibles sous les termes de GNU General Public License ou la licence MIT.

La version 1.8, une mise à jour qui comprendra une refonte des sélecteurs CSS moteur et d'autres améliorations, est actuellement en version bêta et devrait sortir bientôt. Après la version 1.8, les développeurs vont tourner leur attention vers la refonte majeure qui est dans les œuvres pour 2013. Ils veulent un jQuery léger, plus rapide, et plus modulaire. Mais les limites et les lacunes dans les versions anciennes d'Internet Explorer les empêchant de répondre à leurs objectifs.

Afin d' améliorer la qualité de la mise en œuvre, ils ont décidé d'éviter le support pour Internet Explorer 6, 7, et 8 dans la version 2.0 de jQuery. Cela leur permettra de rationaliser la bibliothèque et laisser tomber beaucoup de solutions de contournement et le code spécial qui est nécessaire pour soutenir les anciennes versions d'IE.

Mais les développeurs ont également pris des mesures pour accueillir le nombre statistiquement non-trivial d'utilisateurs qui exécutent des versions obsolètes encore d'Internet Explorer. Leur plan est de délivrer un jQuery version 1.9 en parallèle avec 2,0. La série 1.9 offrira une compatibilité complète avec l'API 2.0 (dans la mesure où ils seront largement interchangeables), mais il aura un support complet pour les anciennes versions d'IE.

Le communiqué de 1.9 sera également maintenue avec des corrections de bugs sur une base continue. Parce que jQuery est largement mature et complète de fonctionnalités, les développeurs estiment que 1,9 et 2,0 restera aligné pour l'avenir prévisible.